%define upstream_name    File-BOM
%define upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Utilities for handling Byte Order Marks
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode) >= 1.990.0
BuildRequires: perl(Module::Build) >= 0.200.0
BuildRequires: perl(Readonly) >= 0.60.0
BuildRequires: perl(Test::Exception) >= 0.200.0
BuildRequires: perl(Test::More) >= 0.100.0
BuildArch:  noarch

%description
This module provides functions for handling unicode byte order marks, which
are to be found at the beginning of some files and streams.

For details about what a byte order mark is, see the
https://www.unicode.org/unicode/faq/utf_bom.html#BOM manpage

The intention of File::BOM is for files with BOMs to be readable as
seamlessly as possible, regardless of the encoding used. To that end,
several different interfaces are available, as shown in the synopsis above.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.180.0-3.mga10
+ Revision: 2209314
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.180.0-2.mga9
+ Revision: 1819773
- Mageia 9 Mass Rebuild

* Sat May 02 2020 tv <tv> 0.180.0-1.mga8
+ Revision: 1577717
- update to 0.18

* Fri Feb 14 2020 umeabot <umeabot> 0.160.0-2.mga8
+ Revision: 1522808
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Feb 08 2019 tv <tv> 0.160.0-1.mga7
+ Revision: 1364172
- update to 0.16

* Wed Sep 19 2018 umeabot <umeabot> 0.150.0-3.mga7
+ Revision: 1267891
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-2.mga6
+ Revision: 1027281
- Rebuild for perl 5.22.2

* Tue Feb 23 2016 shlomif <shlomif> 0.150.0-1.mga6
+ Revision: 977382
- imported package perl-File-BOM


* Tue Feb 23 2016 cpan2dist 0.15-1mga
- initial mageia release, generated with cpan2dist
